Index: src/helpers.hpp
===================================================================
--- src/helpers.hpp	(revision acf8008e455ed1851656ff9d81044edf766929e0)
+++ src/helpers.hpp	(revision 0de7e81363c14651e95003837debfa7013ab2edb)
@@ -97,5 +97,5 @@
 
   if (LookupTable != NULL) {
-    DoLog(0) && (Log() << Verbose(0) << "Pointer for Lookup table is not NULL! Aborting ..." <<endl);
+    DoeLog(0) && (eLog() << Verbose(0) << "Pointer for Lookup table is not NULL! Aborting ..." <<endl);
     return false;
   }
@@ -110,5 +110,5 @@
   }
   if (count <= 0) {
-    DoLog(0) && (Log() << Verbose(0) << "Count of lookup list is 0 or less." << endl);
+    DoeLog(1) && (eLog() << Verbose(1) << "Count of lookup list is 0 or less." << endl);
     return false;
   }
@@ -129,5 +129,5 @@
         LookupTable[AtomNo] = Walker;
       } else {
-        DoLog(0) && (Log() << Verbose(0) << "Walker " << *Walker << " exceeded range of nuclear ids [0, " << count << ")." << endl);
+        DoeLog(2) && (eLog() << Verbose(2) << "Walker " << *Walker << " exceeded range of nuclear ids [0, " << count << ")." << endl);
         status = false;
         break;
Index: src/molecule_fragmentation.cpp
===================================================================
--- src/molecule_fragmentation.cpp	(revision acf8008e455ed1851656ff9d81044edf766929e0)
+++ src/molecule_fragmentation.cpp	(revision 0de7e81363c14651e95003837debfa7013ab2edb)
@@ -120,7 +120,7 @@
     InputFile.close();
     InputFile.clear();
-    DoLog(1) && (Log() << Verbose(1) << "done." << endl);
+    DoLog(1) && (Log() << Verbose(1) << "\t ... done." << endl);
   } else {
-    DoLog(1) && (Log() << Verbose(1) << "File " << filename << " not found." << endl);
+    DoLog(1) && (Log() << Verbose(1) << "\t ... File " << filename << " not found." << endl);
     status = false;
   }
@@ -845,8 +845,8 @@
     SetAtomValueToIndexedArray( MaxArray, &atom::nr, &atom::MaxOrder );
 
-    DoLog(1) && (Log() << Verbose(1) << "done." << endl);
+    DoLog(1) && (Log() << Verbose(1) << "\t ... done." << endl);
     status = true;
   } else {
-    DoLog(1) && (Log() << Verbose(1) << "failed to open file " << line.str() << "." << endl);
+    DoLog(1) && (Log() << Verbose(1) << "\t ... failed to open file " << line.str() << "." << endl);
     status = false;
   }
Index: src/molecule_graph.cpp
===================================================================
--- src/molecule_graph.cpp	(revision acf8008e455ed1851656ff9d81044edf766929e0)
+++ src/molecule_graph.cpp	(revision 0de7e81363c14651e95003837debfa7013ab2edb)
@@ -1089,5 +1089,5 @@
   filename << path << "/" << FRAGMENTPREFIX << ADJACENCYFILE;
   File.open(filename.str().c_str(), ios::out);
-  DoLog(1) && (Log() << Verbose(1) << "Looking at bond structure stored in adjacency file and comparing to present one ... ");
+  DoLog(1) && (Log() << Verbose(1) << "Looking at bond structure stored in adjacency file and comparing to present one ... " << endl);
   if (File == NULL)
     return false;
@@ -1125,7 +1125,7 @@
         NonMatchNumber++;
         status = false;
+        DoeLog(2) && (eLog() << Verbose(2) << id << " can not be found in list." << endl);
+      } else {
         //Log() << Verbose(0) << "[" << id << "]\t";
-      } else {
-        //Log() << Verbose(0) << id << "\t";
       }
     }
@@ -1152,4 +1152,5 @@
   int NonMatchNumber = 0; // will number of atoms with differing bond structure
   size_t CurrentBondsOfAtom = -1;
+  const int AtomCount = getAtomCount();
 
   if (!CheckAdjacencyFileAgainstMolecule_Init(path, File, CurrentBonds)) {
@@ -1168,5 +1169,5 @@
     CurrentBondsOfAtom = -1; // we count one too far due to line end
     // parse into structure
-    if ((AtomNr >= 0) && (AtomNr < getAtomCount())) {
+    if ((AtomNr >= 0) && (AtomNr < AtomCount)) {
       Walker = ListOfAtoms[AtomNr];
       while (!line.eof())
@@ -1174,4 +1175,7 @@
       // compare against present bonds
       CheckAdjacencyFileAgainstMolecule_CompareBonds(status, NonMatchNumber, Walker, CurrentBondsOfAtom, AtomNr, CurrentBonds, ListOfAtoms);
+    } else {
+      if (AtomNr != -1)
+        DoeLog(2) && (eLog() << Verbose(2) << AtomNr << " is not valid in the range of ids [" << 0 << "," << AtomCount << ")." << endl);
     }
   }
Index: tests/regression/testsuite-fragmentation.at
===================================================================
--- tests/regression/testsuite-fragmentation.at	(revision acf8008e455ed1851656ff9d81044edf766929e0)
+++ tests/regression/testsuite-fragmentation.at	(revision 0de7e81363c14651e95003837debfa7013ab2edb)
@@ -12,7 +12,6 @@
 AT_SETUP([Fragmentation - Fragmentation])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Fragmentation/2/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 1.55 2], 0, [ignore], [ignore], [mkdir std; mv BondFragment*.conf* std/])
-AT_CHECK([mkdir std; mv BondFragment*.conf* std/], 0)
-AT_CHECK([ls -l std/BondFragment*.conf | wc -l], 0, [5
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 1.55 2], 0, [ignore], [ignore])
+AT_CHECK([ls -l BondFragment*.conf | wc -l], 0, [5
 ], [ignore])
 AT_CLEANUP
@@ -21,5 +20,5 @@
 AT_SETUP([Fragmentation - Fragmentation is at MaxOrder])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Fragmentation/3/pre/* .], 0)
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 1.55 2], 2, [ignore], [ignore], [mkdir new; mv BondFragment*.conf* new/])
-AT_CHECK([mkdir new; mv BondFragment*.conf* new/], 0)
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 1.55 2], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -f 1.55 2], 2, [ignore], [ignore])
 AT_CLEANUP
